** simple inference for categorical data.
* Husbands and Wives.

GET
  FILE='C:\Documents and Settings\gvm\My Documents\onderwijs\spss\datasets\paired_2samples.SAV'.

RECODE
  husband wife
  (Lowest thru 29.5=1)  (30 thru 49=2)  (50 thru Highest=3)  INTO  husCAT  wifCAT .
VARIABLE LABELS husCAT "Husbands' ages at marriage" /wifCAT "Wives' ages at marriage".
EXECUTE .
FORMAT husCAT wifCAT (F5.0).
VALUE LABELS husCAT wifCAT 1 'younger than 30y' 2 '30 to 49y' 3 '50y or older' .

CROSSTABS
  /TABLES= husCAT BY wifCAT
  /FORMAT= AVALUE TABLES
  /STATISTIC=MCNEMAR
  /CELLS= COUNT TOTAL
  /COUNT ROUND CELL .
